STRUCT DRM_BRIDGE_FU(9)

NAME
struct_drm_bridge_funcs - drm_bridge control functions

SYNOPSIS

struct drm_bridge_funcs {
  bool (* mode_fixup) (struct drm_bridge *bridge,const struct drm_display_mode *mode,struct drm_display_mode *adjusted_mode);
  void (* disable) (struct drm_bridge *bridge);
  void (* post_disable) (struct drm_bridge *bridge);
  void (* mode_set) (struct drm_bridge *bridge,struct drm_display_mode *mode,struct drm_display_mode *adjusted_mode);
  void (* pre_enable) (struct drm_bridge *bridge);
  void (* enable) (struct drm_bridge *bridge);
  void (* destroy) (struct drm_bridge *bridge);
};

MEMBERS

mode_fixup
    Try to fixup (or reject entirely) proposed mode for this bridge

disable
    Called right before encoder prepare, disables the bridge

post_disable
    Called right after encoder prepare, for lockstepped disable

mode_set
    Set this mode to the bridge

pre_enable
    Called right before encoder commit, for lockstepped commit

enable
    Called right after encoder commit, enables the bridge

destroy
    make object go away

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT